# $Revision: 1.98 $, $Date: 2010/03/29 18:59:03 $
%bcond_with	xvmc
%define	libdrm_ver	2.4.19
Summary:	X.org video driver for Intel integrated graphics chipsets
Summary(pl.UTF-8):	Sterownik obrazu X.org dla zintegrowanych układów graficznych Intela
Name:		xorg-driver-video-intel
Version:	2.11.0
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-intel-%{version}.tar.bz2
# Source0-md5:	91a8baa97c4c8c85d35291fea547dd15
URL:		http://xorg.freedesktop.org/
BuildRequires:	Mesa-libGL-devel
#BuildRequires:	autoconf >= 2.57
#BuildRequires:	automake >= 1.10.2-2
BuildRequires:	libdrm-devel >= %{libdrm_ver}
#BuildRequires:	libtool
BuildRequires:	libxcb-devel >= 1.5
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xcb-util-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-lib-libXvMC-devel
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.10
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-glproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.3
BuildRequires:	xorg-proto-xf86driproto-devel
BuildRequires:	xorg-proto-xineramaproto-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.13
BuildRequires:	xorg-util-util-macros >= 1.1.3
BuildRequires:	xorg-xserver-server-devel >= 1.6.3
%requires_xorg_xserver_videodrv
Requires:	libdrm >= %{libdrm_ver}
Requires:	xorg-xserver-libdri >= 1.6.3
Requires:	xorg-xserver-libglx >= 1.6.3
Requires:	xorg-xserver-server >= 1.6.3
Provides:	xorg-driver-video-i810
Obsoletes:	X11-driver-i810 < 1:7.0.0
Obsoletes:	XFree86-driver-i810 < 1:7.0.0
Obsoletes:	XFree86-i810
Obsoletes:	xorg-driver-video-i810
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for Intel integrated graphics chipsets. It supports
the i810, i810-DC100, i810e, i815, 830M, 845G, 852GM, 855GM, 865G,
915G, 915GM, 945G, 945GM, 965G, 965Q, 946GZ, 965GM, 945GME, G33, Q33
and Q35 chipsets.

Requires Kernel Mode Setting (KMS) to be active.

%description -l pl.UTF-8
Sterownik obrazu X.org dla zintegrowanych układów graficznych Intela.
Obsługuje układy i810, i810-DC100, i810e, i815, 830M, 845G, 852GM,
855GM, 865G, 915G, 915GM, 945G, 945GM, 965G, 965Q, 946GZ, 965GM,
945GME, G33, Q33 i Q35.

Wymaga aktywnego Kernel Mode Setting (KMS).

%prep
%setup -q -n xf86-video-intel-%{version}

%build
%configure \
	--enable-xvmc \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la \
	$RPM_BUILD_ROOT%{_libdir}/lib*XvMC.{la,so}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/intel_drv.so
%attr(755,root,root) %{_libdir}/libI810XvMC.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libI810XvMC.so.1
%attr(755,root,root) %{_libdir}/libIntelXvMC.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libIntelXvMC.so.1
%{_mandir}/man4/intel.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-video-intel.spec,v $
Revision 1.98  2010/03/29 18:59:03  arekm
- up to 2.11.0

Revision 1.97  2010/03/23 06:07:34  arekm
- up to 2.10.903

Revision 1.96  2010/03/16 06:10:35  arekm
- up to 2.10.902

Revision 1.95  2010/02/27 12:27:57  arekm
- up to 2.10.901

Revision 1.94  2010/02/17 23:41:30  sparky
- commented out unused BR: autoconf, automake, libtool

Revision 1.93  2010/02/17 07:51:37  arekm
- rel 2; force latest libdrm (fixes for some nasty segfault)

Revision 1.92  2010/01/05 05:28:49  arekm
- up to 2.10.0

Revision 1.91  2009/12/11 10:13:58  sparky
- BR: xcb-util-devel, xorg-lib-libXfixes-devel (required for XvMC)

Revision 1.90  2009/12/11 07:49:00  arekm
- up to 2.9.99.902

Revision 1.89  2009/12/03 20:52:54  arekm
- rel 2; files fixed

Revision 1.88  2009/12/01 08:38:18  arekm
- this version no longer works without KMS

Revision 1.87  2009/12/01 08:28:40  arekm
- up to 2.9.99.901; requires unreleased libdrm

Revision 1.86  2009/10/26 16:07:24  arekm
- rel 2; revert silly dep

Revision 1.85  2009/10/26 12:52:02  arekm
- up to 2.9.1

Revision 1.84  2009/10/25 11:33:44  blues
- Requires kernel with KMS

Revision 1.83  2009/10/02 08:28:07  arekm
- release 2

Revision 1.82  2009/09/29 06:45:49  arekm
- require latest libdrm

Revision 1.81  2009/09/29 05:17:42  arekm
- up to 2.9.0

Revision 1.80  2009/09/23 05:12:30  arekm
- up to 2.8.99.902

Revision 1.79  2009/09/09 17:16:53  arekm
- up to 2.8.99.901

Revision 1.78  2009/08/26 06:33:56  arekm
- up to 2.8.1

Revision 1.77  2009/08/18 05:28:10  arekm
- rel 2; git fixes

Revision 1.76  2009/08/14 09:54:39  arekm
- force latest xserver 1.6.3

Revision 1.75  2009/08/14 09:54:17  arekm
- force latest xserver 1.6.3

Revision 1.74  2009/08/14 09:51:27  arekm
- up to 2.8.0.901 (it's 2.8.1 rc)

Revision 1.73  2009/07/24 21:53:35  gotar
- "DRI2 requires DRI2 module version 1.1.0 or later"

Revision 1.72  2009/07/22 09:31:28  arekm
- rel 2; require latest libdrm

Revision 1.71  2009/07/21 06:12:53  arekm
- up to 2.8.0

Revision 1.70  2009/05/13 16:21:26  gotar
- upgraded to 2.7.1

Revision 1.69  2009/04/28 15:38:11  gotar
- fixed R: libdrm version

Revision 1.68  2009/04/18 09:28:37  adamg
- files fix

Revision 1.67  2009/04/18 09:26:16  adamg
- updated to 2.7.0

Revision 1.66  2009/03/27 08:46:04  arekm
- md5 fix

Revision 1.65  2009/03/27 08:45:05  arekm
- revert djurban fuckup

Revision 1.64  2009/03/27 08:43:29  arekm
- release 2

Revision 1.63  2009/03/12 00:53:42  djurban
- upgrade to 2.6.99.902

Revision 1.62  2009/03/05 19:03:35  arekm
- rel 2; leak fixes

Revision 1.61  2009/03/02 20:31:17  arekm
- up to 2.6.3

Revision 1.60  2009/02/28 09:37:21  arekm
- rel 4; leak fixes

Revision 1.59  2009/02/25 21:05:31  arekm
- release 3

Revision 1.58  2009/02/25 14:01:53  arekm
- rel 2; force latest libdrm (2.4.5)

Revision 1.57  2009/02/25 06:28:25  arekm
- up to 2.6.2

Revision 1.56  2009/01/22 07:13:09  arekm
- up to 2.6.1

Revision 1.55  2009/01/17 20:54:37  arekm
- rel 2; force new libdrm

Revision 1.54  2009/01/15 07:21:29  arekm
- up to 2.6.0

Revision 1.53  2009/01/14 20:42:00  gotar
- adjusted libdrm R: version

Revision 1.52  2009/01/08 08:57:47  arekm
- up to 2.5.99.2

Revision 1.51  2008/12/27 09:16:42  qboosh
- R: xorg libdri,libglx

Revision 1.50  2008/12/26 12:08:23  adamg
- fixed previous commit msg

Revision 1.49  2008/12/26 01:52:48  adamg
- BR: libdrm-devel >= 2.4.2

Revision 1.48  2008/12/25 06:50:32  aredridel
- 2.5.99.1

Revision 1.47  2008/12/20 17:57:00  blues
- requires libdri and libglx from xserver

Revision 1.46  2008/11/13 20:46:17  arekm
- up to 2.5.1

Revision 1.45  2008/11/02 10:08:03  arekm
- rel 3; force libdrm >= 2.4.1 since upstream stupidly changed ABI

Revision 1.44  2008/11/01 17:09:41  arekm
- release 3

Revision 1.43  2008/10/31 16:00:45  deejay1
- rel. 2 STBR

Revision 1.42  2008/10/21 06:15:49  arekm
- up to 2.5.0

Revision 1.41  2008/10/06 01:24:57  shadzik
- rel 3

Revision 1.40  2008/09/06 19:26:12  gotar
- DRI_MM enabled in libdrm 2.4.0 not 2.3.1

Revision 1.39  2008/08/30 16:33:34  arekm
- release 2

Revision 1.38  2008/08/26 05:33:45  arekm
- up to 2.4.2

Revision 1.37  2008/08/15 08:29:49  arekm
- up to 2.4.1

Revision 1.36  2008/07/23 08:39:51  arekm
- up to 2.4.0

Revision 1.35  2008/07/01 16:08:37  arekm
- release 2

Revision 1.34  2008/06/19 18:37:36  qboosh
- updated to 2.3.2

Revision 1.33  2008/05/12 06:32:40  arekm
- up to 2.3.1

Revision 1.32  2008-05-06 19:52:01  qboosh
- sorted BRs

Revision 1.31  2008-05-04 20:23:39  wolvverine
- add R: xorg-proto-glproto-devel

Revision 1.30  2008-04-23 06:42:30  arekm
- up to final 2.3.0

Revision 1.29  2008-04-14 05:05:07  arekm
- up to 2.2.99.903

Revision 1.28  2008-04-03 18:13:50  deejay1
- added patch to fix issues with pre 9xx hardware from
  https://bugs.freedesktop.org/show_bug.cgi?id=15313
- rel. 2

Revision 1.27  2008-03-31 08:46:54  arekm
- up to 2.2.99.902

Revision 1.26  2008-03-20 20:03:25  qboosh
- explicit lib*XvMC sonames
- updated some BRs

Revision 1.25  2008-03-20 07:42:31  arekm
- up to 2.2.99.901

Revision 1.24  2008-02-22 20:44:55  arekm
- up to 2.2.1

Revision 1.23  2008-02-06 07:42:33  arekm
- up to 2.2.0.90

Revision 1.22  2007-11-15 21:43:26  arekm
- up to 2.2.0

Revision 1.21  2007/11/09 08:12:05  arekm
- up to 2.1.99

Revision 1.20  2007/10/23 06:12:12  luzik
- added patch0 witch fix mplayer (xv) output with compiz

Revision 1.19  2007/09/06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.18  2007/09/06 16:22:52  arekm
- track xserver videodrv deps

Revision 1.17  2007/08/26 12:30:06  qboosh
- keep verbose files list

Revision 1.16  2007/08/14 08:07:49  arekm
- up to 2.1.1

Revision 1.15  2007/07/03 17:22:41  qboosh
- updated to 2.1.0

Revision 1.14  2007/04/30 20:05:12  qboosh
- Obsoletes for XFree86/X11 drivers

Revision 1.13  2007/04/20 06:06:23  aflinta
- version 2.0.0

Revision 1.12  2007/04/03 08:30:40  arekm
- up to 1.9.94

Revision 1.11  2007/03/27 13:12:26  deejay1
- up to 1.9.93

Revision 1.10  2007/03/16 18:49:12  qboosh
- overseding fixed

Revision 1.9  2007/03/14 20:11:02  arekm
- up to 1.9.92

Revision 1.8  2007/03/05 07:52:59  arekm
- up to 1.9.91

Revision 1.7  2007/02/13 19:39:40  arekm
- up to 20070213

Revision 1.6  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.4  2007/02/06 07:23:11  arekm
P: xorg-driver-video-i810

Revision 1.3  2007/02/06 07:20:21  arekm
O: xorg-driver-video-i810

Revision 1.2  2007/02/06 07:18:23  arekm
- files updated

Revision 1.1  2007/02/06 07:12:01  arekm
- new
